OS X 10.10 Yosemite, and some history about changing system requirements

For many years each new release of OS X would exclude some models that could run the previous release. Mac users see this as the cost of progress—new features sometimes require new or more powerful hardware.

But that seems to have changed. When Apple announced OS X 10.10 Yosemite, they also announced that it had the same system requirements as 10.9 Mavericks, which in turn had the same requirements as 10.8 Mountain Lion. That’s three generations of OS X that have used the same system requirements, and quite a change from previous OS X releases.

Consider the Previous History:

  • OS X 10.3 Panther was not supported on all Macs that ran Jaguar, excluding those that didn’t have built-in USB (like the beige PowerMac G3 models, and the first 3 PowerBook G3 models).
  • OS X 10.4 Tiger was not supported on all Macs that ran Panther, excluding models that didn’t have built-in FireWire (like the first 5 iMac models).
  • OS X 10.5 Leopard was not supported on all Macs that ran Tiger, excluding all G3 Macs and G4 Macs with CPUs slower than 867MHz.
  • OS X 10.6 Snow Leopard was not supported on all Macs that ran Leopard. All the PowerPC Macs were excluded.
  • OS X 10.7 Lion was not supported on all Macs that ran Snow Leopard. The earliest Intel models were left out.

The last time Apple went released three major OS X upgrades without changing system requirements was back when OS X was new. OS X 10.0, 10.1, and 10.2 all had the same system requirements.

If you’re curious about which Mac models had the largest number of supported OSs, that seems to be a 4-way tie between the 20-inch and 24-inch 2007 iMacs, and the 15-inch and 17-inch MacBook Pros. All four shipped with 10.4.10, and can be upgraded to:

  • OS X 10.5 Leopard,
  • OS X 10.6 Snow Leopard,
  • OS X 10.7 Lion,
  • OS X 10.8 Mountain Lion,
  • OS X 10.9 Mavericks, and
  • OS X 10.10 Yosemite.

(The Mac 512Ke was released with System Software 0.7 (really!) and ran all subsequent releases up to and including System 6.0.8. But OS releases numbers were obviously a bit odd back then — there wasn’t ever a System 3 or System 4 — so I’m not sure how to count them.)

2 thoughts on “OS X 10.10 Yosemite, and some history about changing system requirements

    • I actually owned a 6100 (upgraded with a Sonnet G3 card), though I admit I didn’t remember which versions of MacOS it supported.

      Still, if we say it supported System 7, 8, and 9, that’s still only 3 major versions.

Leave a Reply to stevenjklein Cancel reply